package com.sky.ioc.service.space.impl;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.sky.ioc.service.space.SpaceService;
import com.sky.ioc.tool.ReturnMsg;
import org.springframework.stereotype.Service;

/**
 * TODO  空间
 * @Description
 * @Author LunCe
 * @Date 2023/2/22 11:44
 **/
@Service
public class SpaceServiceImpl implements SpaceService {

    /**
     * TODO  智能看板 -- 楼宇态势
     * @Description
     * @Return com.sky.ioc.tool.ReturnMsg
     * @Author LunCe
     * @date 2023/2/22 11:45
     */
    @Override
    public ReturnMsg getBuildingSituation() {
        JSONArray jsonArray = new JSONArray();
        JSONObject jsonObject = new JSONObject();
        jsonObject.put("total",2000);
        jsonObject.put("occupancy",1800);
        jsonObject.put("percentage","95%");

        JSONObject jsonObject2 = new JSONObject();
        jsonObject2.put("total",2000);
        jsonObject2.put("occupancy",1800);
        jsonObject2.put("percentage","97%");

        JSONObject jsonObject3 = new JSONObject();
        jsonObject3.put("total",2000);
        jsonObject3.put("occupancy",1800);
        jsonObject3.put("percentage","98%");
        jsonArray.add(jsonObject);
        jsonArray.add(jsonObject2);
        jsonArray.add(jsonObject3);


        JSONObject jsonObject1 = new JSONObject();
        jsonObject1.put("data",jsonArray);
        jsonObject1.put("totalArea","15000㎡");
        return ReturnMsg.ok(jsonObject1);
    }
}
